%define date 20040126
%define cache /var/cache/yum
%define prepcache /tmp/yum
Summary: RPM installer/updater
Name: yum-headers
Version: LTS301
Release: %{date}
License: GPL
Group: System Environment/Base
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
BuildRoot: /var/tmp/yum-headers
Requires: yum

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.
yum-headers will populate the base yum directories with the headers
that were current when the rpm was made.  This will save download time.

%post
cd %{cache}
#First do LTS301
mkdir tempdir
cd tempdir
if ! [ -f ../lts301server/header.info ] ; then
	tar xf ../yum.headers.server.%{date}.tar
	mv -f server ../lts301server
fi
if ! [ -f ../lts301updates/header.info ] ; then
	tar xf ../yum.headers.updates.%{date}.tar
	mv -f updates ../lts301updates
fi
cd ..
#Then do lts30rolling
if ! [ -f lts30rollingserver/header.info ] ; then
	mkdir lts30rollingserver
	mkdir lts30rollingserver/headers
	mkdir lts30rollingserver/packages
	cp -rp lts301server/header.info lts30rollingserver/header.info
	ln lts301server/headers/*.hdr lts30rollingserver/headers
fi
if ! [ -f lts30rollingupdates/header.info ] ; then
	mkdir lts30rollingupdates
	mkdir lts30rollingupdates/headers
	mkdir lts30rollingupdates/packages
	cp -rp lts301server/header.info lts30rollingupdates/header.info
	ln lts301updates/headers/*.hdr lts30rollingupdates/headers
fi
#Then clean ourselves up
rm -rf tempdir
rm -f yum.headers.server.%{date}.tar
rm -f yum.headers.updates.%{date}.tar

%files 
%{cache}/yum.headers.server.%{date}.tar
%{cache}/yum.headers.updates.%{date}.tar
